Bug 1005786 - NFSv4 support
NFSv4 support
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Satish Mohan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 08:03 EDT by Marco Rodrigues
Modified: 2017-03-06 13:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-06 13:17:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Rodrigues 2013-09-09 08:03:34 EDT
Description of problem:
To be able to connect directly from XenServer to GlusterFS using NFSv4 which have higher speeds.

Version-Release number of selected component (if applicable):
3.4.0

Additional info:
I did try using native NFSv4 from a CentOS 6.x machine and the speeds of version 4 of the protocol are great.
Comment 2 Federico Simoncelli 2014-07-28 05:59:26 EDT
I suggest to split out in a new BZ the implementation for:

- server-side file cloning
- server-side file pre-allocation

so that they can be implemented separately from nfs v4 support.
Comment 3 Niels de Vos 2014-08-28 13:30:59 EDT
NFSv4 will be provided through the integration with nfs-ganesha. There is some documentation available on the project space:
- https://forge.gluster.org/nfs-ganesha-and-glusterfs-integration/pages/Home

nfs-ganesha-2.1.0-5.el6 is available from EPEL-6 already:
- https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2025

There are some blog posts on the gluster.org website that talk about it too:
- http://blog.gluster.org/tag/ganesha/
Comment 5 Jiffin 2017-03-06 13:17:37 EST
NFS-Ganesha provides support nfsv4 hence closing this bug

Note You need to log in before you can comment on or make changes to this bug.